Subject: RE: cygwin 1.3.[23] grindingly slow
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Cc: Paul Floyd <[email-masked]>
Date: Mon, 8 Oct 2001 23:47:00 +0200

[email-masked] schrieb am 2001-10-05, 13:56:

Hi Ian, Hi Paul,

>[...]
>> performance is spectacularly bad. At first I thought it was a network
>[...]
>
>> WinNT Ver 4.0 build 1381 Service Pack 6
>
>Are you connected to an NT domain? I believe I have found
>a performance problem in uinfo.cc, and if you have the
>ability to download the source and build it, you could
>try my patch -- I would be interested to know if it helps.
>
>Good luck :)
>
>Blue skies,
>.Ian.
>
>
>Tue Oct  2 16:18:09 2001  Ian Ray <[email-masked]>
>
>	* uinfo.cc (internal_getlogin): use default HOMEPATH
>	  and HOMEDRIVE from environment if both are present,
>	  else query NetUserGetInfo; this is a performance
>	  optimization.

$ uname -a
CYGWIN_NT-4.0 LORELEY 1.3.3(0.46/3/2) 2001-09-12 23:54 i686 unknown

ServicePack 6a is installed.

I which cases should it be faster?
Doing a 'normal' 'ls -lR' as Paul did?

His examples:
>run ls -lR under bash on /cygdrive/c
>3 minutes 41 sec
>
>run ls -lR under cmd.exe on /cygdrive/c
>3 minutes 32 sec
>
>run dir /s c:\ under cmd
>21 seconds

Is it faster or slower if HOMEDRIVE and HOMEPATH is set?
What is HOMEPATH and HOMEDRIVE? Aren't that Windows environment
variables? I never used them for Cygwin.

My measurement:
Bash (cmd.exe)> time ls -laR
with uinfo.patch:
real    5m20.541s
user    0m23.513s
sys     0m43.011s
without uinfo.patch:
real    4m45.842s
user    0m22.902s
sys     0m40.868s

Bash (cmd.exe)> time ls -laR > ls-laR.test
with uinfo.patch:
real    1m25.653s
user    0m24.805s
sys     0m43.462s
without uinfo.patch:
real    1m23.220s
user    0m24.425s
sys     0m44.463s

rxvt> time ls -laR
with uinfo.patch:
real    1m30.470s
user    0m25.446s
sys     0m44.814s
without uinfo.patch:
real    1m28.487s
user    0m24.194s
sys     0m43.853s

rxvt> time ls -laR > ls-laR.test
real    1m24.001s
user    0m25.286s
sys     0m44.523s
without uinfo.patch:
real    1m23.179s
user    0m23.153s
sys     0m43.662s

So at least ls -lRa is *faster* without the patch (which is
version cygwin-1.3.3-2), the tests with the patch is a recent
debugging cygwin (pre-1.3.4, maybe this is a little slower
because of debugging?).

But I tend to say, the patch doesn't speed up 'ls'.
Unfortunately, I have deleted my winnt 'dir' command, so
I'm not able to compare until I reinstall the last servicepack,
I hope it is included there.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/